libpinyin13_2.2.2-1~ubuntu18.04.1_i386.deb


Description

libpinyin13 - library to deal with PinYin

Property Value
Distribution Ubuntu 18.04 LTS (Bionic Beaver)
Repository Ubuntu Updates Main i386 Official
Package filename libpinyin13_2.2.2-1~ubuntu18.04.1_i386.deb
Package name libpinyin13
Package version 2.2.2
Package release 1~ubuntu18.04.1
Package architecture i386
Package type deb
Homepage https://github.com/libpinyin/libpinyin
License -
Maintainer Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Download size 181.33 KB
Installed size 713.00 KB
Category
libpinyin is a set of core algorithms designed for intelligent
sentence-based Chinese PinYin input methods.
This package provides the library files.

Alternatives

Package Version Arch Repository
libpinyin13_2.1.91-1_i386.deb 2.1.91 i386 Ubuntu Main Official
libpinyin13 All All All

Requires

Name Value
libc6 >= 2.4
libdb5.3 -
libgcc1 >= 1:3.0
libglib2.0-0 >= 2.30.0
libpinyin-data = 2.2.2-1~ubuntu18.04.1
libstdc++6 >= 5

Provides

Name Value
libpinyin -

Obsoletes

Name Value
libpinyin0 -
libpinyin12 -
libpinyin2 -
libpinyin4 -
libpinyin5 -
libpinyin6 -
libpinyin7 -

Download

Type URL
Mirror archive.ubuntu.com
Binary Package libpinyin13_2.2.2-1~ubuntu18.04.1_i386.deb
Source Package libpinyin

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install libpinyin13 deb package:
    # sudo apt-get install libpinyin13

Files

Path
/usr/lib/i386-linux-gnu/libpinyin.so.13
/usr/lib/i386-linux-gnu/libpinyin.so.13.0.0
/usr/share/doc/libpinyin13/changelog.Debian.gz
/usr/share/doc/libpinyin13/copyright

Changelog

2019-05-22 - Gunnar Hjalmarsson <gunnarhj@ubuntu.com>
libpinyin (2.2.2-1~ubuntu18.04.1) bionic; urgency=medium
* Backport of the disco version as an SRU in an attempt to reduce the
number of crashes (LP: #1768166).
2019-02-06 - ChangZhuo Chen (陳昌倬) <czchen@debian.org>
libpinyin (2.2.2-1) unstable; urgency=medium
* New upstream release.
* Bump Standards-Version to 4.3.0.
2018-10-22 - Boyuan Yang <byang@debian.org>
libpinyin (2.2.1-1) unstable; urgency=medium
* Team upload.
[ Ondřej Nový ]
* d/watch: Use https protocol
[ Boyuan Yang ]
* New upstream version 2.2.1.
* debian: Apply "wrap-and-sort -abst".
* debian/control: Update uploaders' email address and use the @debian.org one.
* debian/control: Bump Standards-Version to 4.2.1.
* debian/rules: Modernize and use --dbgsym-migration instead of
--ddeb-migration.
2018-05-02 - ChangZhuo Chen (陳昌倬) <czchen@debian.org>
libpinyin (2.2.0-1) unstable; urgency=medium
* New upstream release.
* Bump Standards-Version to 4.1.4.
* Update Maintainer name.
* Change libpinyin-common-dev Architecture to all.
2018-01-31 - ChangZhuo Chen (陳昌倬) <czchen@debian.org>
libpinyin (2.1.91-1) unstable; urgency=medium
* Merge back to unstable.
2018-01-28 - ChangZhuo Chen (陳昌倬) <czchen@debian.org>
libpinyin (2.1.91-1~exp1) experimental; urgency=medium
* New upstream release.
* Bump Standards-Version to 4.1.3.
* Bump compat to 11.
* Update Vcs-* fields to salsa.debian.org.
* Update Homepage and Source.
2017-09-17 - ChangZhuo Chen (陳昌倬) <czchen@debian.org>
libpinyin (2.1.0-1~exp3) experimental; urgency=medium
* Specific libpinyin-common-dev version in libpinyin13-dev, libzhuyin-dev
Depends to avoid broken header files.
2017-09-16 - ChangZhuo Chen (陳昌倬) <czchen@debian.org>
libpinyin (2.1.0-1~exp2) experimental; urgency=medium
* Fix missing header pinyin_custom2.h in libzhuyin-dev.
2017-09-06 - ChangZhuo Chen (陳昌倬) <czchen@debian.org>
libpinyin (2.1.0-1~exp1) experimental; urgency=medium
* New upstream release.
* Bump SO version to 13.
* Add Breaks/Replaces in libpinyin-data for data transferred from libpinyin7
to libpinyin-data (Closes: #874423).
2017-08-04 - ChangZhuo Chen (陳昌倬) <czchen@debian.org>
libpinyin (2.0.92-1~exp1) experimental; urgency=medium
* New upstream release.
* Bump Standards-Version to 4.0.0.
* Bump compat to 10.
* Remove unused Build-Depends.
* Remove --with autoreconf since it is default now.
* Remove --parallel since it is default now.
* Use dh_missing.
* Bump SO version to 12.
* Enable libzhuyin support.
* Update Vcs-* fields.
* Use copyright-format 1.0.
* Migrate to use libpinyin-dbgsym instead of libpinyin-dbg.
* Use harden build.

See Also

Package Description
libplymouth-dev_0.9.3-1ubuntu7.18.04.2_i386.deb graphical boot animation and logger - development files
libplymouth4_0.9.3-1ubuntu7.18.04.2_i386.deb graphical boot animation and logger - shared libraries
libpng-dev_1.6.34-1ubuntu0.18.04.2_i386.deb PNG library - development (version 1.6)
libpng-tools_1.6.34-1ubuntu0.18.04.2_i386.deb PNG library - tools (version 1.6)
libpng16-16_1.6.34-1ubuntu0.18.04.2_i386.deb PNG library - runtime (version 1.6)
libpolkit-agent-1-0_0.105-20ubuntu0.18.04.5_i386.deb PolicyKit Authentication Agent API
libpolkit-agent-1-dev_0.105-20ubuntu0.18.04.5_i386.deb PolicyKit Authentication Agent API - development files
libpolkit-backend-1-0_0.105-20ubuntu0.18.04.5_i386.deb PolicyKit backend API
libpolkit-backend-1-dev_0.105-20ubuntu0.18.04.5_i386.deb PolicyKit backend API - development files
libpolkit-gobject-1-0_0.105-20ubuntu0.18.04.5_i386.deb PolicyKit Authorization API
libpolkit-gobject-1-dev_0.105-20ubuntu0.18.04.5_i386.deb PolicyKit Authorization API - development files
libpoppler-cpp-dev_0.62.0-2ubuntu2.10_i386.deb PDF rendering library -- development files (CPP interface)
libpoppler-cpp0v5_0.62.0-2ubuntu2.10_i386.deb PDF rendering library (CPP shared library)
libpoppler-dev_0.62.0-2ubuntu2.10_i386.deb PDF rendering library -- development files
libpoppler-glib-dev_0.62.0-2ubuntu2.10_i386.deb PDF rendering library -- development files (GLib interface)